Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class FaultInfo

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.FaultInfo

public class FaultInfo
extends java.lang.Object

Fault information object. This should probably really be FaultEntry and it should be a subclass of SymTabEntry, but faults aren't first-class objects in WSDL, so I'm not sure what the FaultEntry should contain and how it should be constructed, so for now leave it as a simple object.

Constructor Summary
`FaultInfo(javax.wsdl.Fault fault, Use use, java.lang.String namespace, SymbolTable symbolTable)` This constructor creates FaultInfo for a binding fault.
`FaultInfo(QName faultMessage, java.lang.String faultPart, java.lang.String faultUse, java.lang.String faultNamespaceURI, SymbolTable symbolTable)` Constructor FaultInfo
`FaultInfo(javax.wsdl.extensions.soap.SOAPHeaderFault fault, SymbolTable symbolTable)` This constructor creates FaultInfo for a soap:headerFault.

Method Summary
`javax.wsdl.Message` | `getMessage()` Method getMessage
`java.lang.String` | `getName()` Return the name of the fault.
`QName` | `getQName()` Return the QName of a fault.
`Use` | `getUse()` Method getUse
`QName` | `getXMLType()` Method getXMLType

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultInfo

    public FaultInfo(javax.wsdl.Fault fault,
                     Use use,
                     java.lang.String namespace,
                     SymbolTable symbolTable)

  This constructor creates FaultInfo for a binding fault.

  If the part of the fault is a type, then the QName is derived from the element name and the provided namespace (this namespace SHOULD come from the binding).

  If the part of the fault is an element, then the QName is the QName of the element, and the given namespace is ignored.

Parameters:
  `fault` -
  `use` -
  `namespace` -
  `symbolTable` -

### FaultInfo

    public FaultInfo(javax.wsdl.extensions.soap.SOAPHeaderFault fault,
                     SymbolTable symbolTable)
              throws java.io.IOException

  This constructor creates FaultInfo for a soap:headerFault.

Parameters:
  `fault` -
  `symbolTable` -
Throws:
  `java.io.IOException`

### FaultInfo

    public FaultInfo(QName faultMessage,
                     java.lang.String faultPart,
                     java.lang.String faultUse,
                     java.lang.String faultNamespaceURI,
                     SymbolTable symbolTable)
              throws java.io.IOException

  Constructor FaultInfo

Parameters:
  `faultMessage` -
  `faultPart` -
  `faultUse` -
  `faultNamespaceURI` -
  `symbolTable` -
Throws:
  `java.io.IOException`

Method Detail

### getMessage

    public javax.wsdl.Message getMessage()

  Method getMessage

  Returns:

### getXMLType

    public QName getXMLType()

  Method getXMLType

  Returns:

### getUse

    public Use getUse()

  Method getUse

  Returns:

### getQName

    public QName getQName()

  Return the QName of a fault. This method may return null if no parts are in the fault message.

  If the part of the fault is a type, then the QName is derived from the element name and the provided namespace (this namespace SHOULD come from the binding).

  If the part of the fault is an element, then the QName is the QName of the element, and the given namespace is ignored.

  Returns:

### getName

    public java.lang.String getName()

  Return the name of the fault. This is the name= attribute from a portType fault or the localname of a header fault.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.